<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("../../config/Datos.php");
require_once ("../talonario/cTalonario.php");
$oTalonario= new cTalonario();
require_once '../cotizacion/cCotizacion.php';
$oCotizacion = new cCotizacion();
require_once("../venta/cVenta.php");
$oVenta = new cVenta();
require_once("../venta/cVentapago.php");
$oVentapago = new cVentapago();
require_once ("../documento/cDocumento.php");
$oDocumento= new cDocumento();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();
require_once("../almacen/cAlmacen.php");
$oAlmacen = new cAlmacen();
require_once ("../tarjeta/cTarjeta.php");
$oTarjeta = new cTarjeta();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();
require_once ("../stock/cStock.php");
$oStock = new cStock();
require_once("../cliente/cCliente.php");
$oCliente = new cCliente();
require_once ("../caja/cCaja.php");
$oCaja = new cCaja();
require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();
require_once("../tipocambiotesoreria/cTipocambiotesoreria.php");
$oTipocambiotesoreria = new cTipocambiotesoreria();
require_once("../tipocambio/cTipocambio.php");
$oTipocambio = new ctipocambio();
$fecha = date('Y-m-d');
require_once ("../formatos/formato.php");




$dts1=$oVenta->mostrar_venta_detalle2();
$num_rows= mysqli_num_rows($dts1);

while($dt1 = mysqli_fetch_array($dts1))
{

		$can = $dt1['tb_ventadetalle_can'] * 1;
		$can1 = $dt1['tb_ventadetalle_can'] * 1;
		$pre_uni=$dt1['tb_ventadetalle_preuni'];
		$des_uni = $dt1['tb_ventadetalle_des'];
		
		$dts2=$oCatalogo->mostrarUno($dt1['tb_catalogo_id'],$dt1['tb_marca_id']);
		$dt2 = mysqli_fetch_array($dts2);
			
		$arttip_nom =  $dt2['tb_articulotipo_nom'];
		$emp_fac =  $dt2['tb_empaque_fac'];
		$precosgen = $dt2['tb_productomarca_precos'];

		if($can>=$emp_fac){
			$can = $can/$emp_fac;
			$precos = $precosgen;
			$precos = $precos * $can;
		}else{
			$can = $can;
			$precos = $precosgen/$emp_fac;
			$precos = $precos * $can;
		}
		
		list($cane,$canf) = explode('.',$can);
		$canf = $canf * 1;

		if($cane!=="" && $canf==""){ 
			$can = $cane;
		}else if($cane=="" && $canf!==""){ 
			$can = $canf;
		}
		else if($cane!=="" && $canf!==""){
			$can = $can1;
		}
	
		echo '-------------------------------------------------'.' <br/> ';
		echo $dt1['tb_ventadetalle_nom'].' <br/> ';
		echo 'vendet_id '.$dt1['tb_ventadetalle_id'].' can '.$can.' precosgen '.$precosgen.' precos '.$precos.' <br/> ';

		$oVenta->modificar_campodetalle($dt1['tb_ventadetalle_id'],'precos',$precos);

		echo '-------------------------------------------------'.' <br/> ';

}


?>